/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o;

import java.lang.reflect.*;


/**
 * 
 */
public class Reflection4 {

	static Object invoke (Object obj, String methodName, Class[] paramClasses, Object[] params){
		return invoke(obj.getClass().getName(), methodName, paramClasses, params, obj );
	}
	
	static Object invoke (String className, String methodName, Class[] paramClasses, Object[] params, Object onObject){
	    try {
			    Class clazz = Class.forName(className);
			    Method method = clazz.getMethod(methodName, paramClasses);
				return method.invoke(onObject, params);
			} catch (Throwable t) {
			}
		return null;
	}

}
