/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o;

final class Session
{
	final String			i_fileName;
	YapStream				i_stream;
	private int				i_openCount;
	
	Session(String a_fileName){
		i_fileName = a_fileName;
	}
	
	static void checkHackedVersion(){
	    if(Tuning.licenseChecks){
//			if(Lic.expires){
//				if(System.currentTimeMillis() > Lic.expirationDate){
//					new Message(null, 1,System.out);
//					System.out.println("");
//					throw new LongJumpOutException();
//				}
//			}
	    }
	}
	
	/**
	 * returns true, if session is to be closed completely
	 */
	boolean closeInstance(){
		i_openCount --;
		return i_openCount < 0;
	}
	
	public boolean equals(Object a_object){
		return i_fileName.equals(((Session)a_object).i_fileName);
	}
	
	String fileName(){
		return i_fileName;
	}
	
	YapStream subSequentOpen(){
		if( i_stream.isClosed()){
			return null;
		}
		i_openCount ++;
		return i_stream;
	}
	

	
}
