/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o;

import java.util.*;

import com.db4o.config.*;

/**
 * 
 */
public class Unobfuscated {
    
    static Random random;
    
	static boolean createDb4oList(Object a_stream){
	    ((YapStream)a_stream).checkClosed();
	    return ! ((YapStream)a_stream).isInstantiating();
	}
	
	public static byte[] generateSignature() {
	    YapWriter writer = new YapWriter(null, 300);
	    if(! Deploy.csharp) {
		    try {
	            new YapStringIO().write(writer, java.net.InetAddress.getLocalHost().getHostName());
	            writer.append((byte)0);
	            writer.append(java.net.InetAddress.getLocalHost().getAddress());
	        } catch (Exception e) {
	        }
	    }
	    YLong.writeLong(System.currentTimeMillis(), writer);
        YLong.writeLong(randomLong(), writer);
        YLong.writeLong(randomLong() + 1, writer);
        return writer.getWrittenBytes();
	}
	
	static void logErr (Configuration config, int code, String msg, Throwable t) {
		Db4o.logErr(config, code, msg, t);
	}
	
	static void purgeUnsychronized(Object a_stream, Object a_object){
	    ((YapStream)a_stream).purge1(a_object);
	}
	
	public static long randomLong() {
	    if(Deploy.csharp) {
	        // TODO: route to .NET implementation
	        return System.currentTimeMillis();
	    }else {
	        if(random == null){
	            random = new Random();
	        }
	        return random.nextLong();
	    }
	}
	
	static void shutDownHookCallback(Object a_stream){
		((YapStream)a_stream).failedToShutDown();
	}


}
