/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import java.util.*;

import com.db4o.types.*;

/**
 * 
 */
public class DeleteRemovedMapElements {
    
    Map i_map;
    
    public void storeOne(){
        i_map = Test.objectContainer().collections().newHashMap(1);
        i_map.put(new DRME_Key(), new DRME_Value());
        i_map.put(new DRME_Key(), new DRME_Value());
    }
    
    public void testOne(){
        
        Test.ensureOccurrences(DRME_Key.class, 2);
        Test.ensureOccurrences(DRME_Value.class, 2);
        
        ((Db4oMap)i_map).deleteRemoved(true);
                
        i_map.clear();
        
        Test.ensureOccurrences(DRME_Key.class, 0);
        Test.ensureOccurrences(DRME_Value.class, 0);
        
    }
    
    public static class DRME_Key{
        
    }
    
    public static class DRME_Value{
        
        
    }
}
