/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import java.util.*;

public class KeepCollectionContent {
	
	public void store(){
		Test.deleteAllInstances(new Atom());
		Test.deleteAllInstances(new HashMap());
		Test.deleteAllInstances(new Hashtable());
		Test.deleteAllInstances(new ArrayList());
		Test.deleteAllInstances(new Vector());
		Test.deleteAllInstances(new TreeMap());
		HashMap hm = new HashMap();
		hm.put(new Atom(), new Atom());
		Test.store(hm);
		Hashtable ht = new Hashtable();
		ht.put(new Atom(), new Atom());
		Test.store(ht);
		ArrayList al = new ArrayList();
		al.add(new Atom());
		Test.store(al);
		Vector vec = new Vector();
		vec.add(new Atom());
		Test.store(vec);
		TreeMap tm = new TreeMap();
		tm.put(new Atom(), new Atom());
		Test.store(tm);
	}
	
	public void test(){
		Test.deleteAllInstances(new HashMap());
		Test.deleteAllInstances(new Hashtable());
		Test.deleteAllInstances(new ArrayList());
		Test.deleteAllInstances(new Vector());
		Test.deleteAllInstances(new TreeMap());
		Test.ensureOccurrences(new Atom(), 8);
		// System.out.println(Test.occurrences(new Atom()));
		
	}

}
