/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import com.db4o.*;
import com.db4o.ext.*;

/**
 * Runs the Regression test on a memory file
 */
public class RegressionMemoryFile extends Regression {
	
	ObjectContainer con;

	public static void main(String[] args) {
		System.out.println("Memory File Regression Test");
		Db4o.configure().messageLevel(-1);
		new RegressionMemoryFile().run();
	}
	
	public RegressionMemoryFile(){
		configure();
		MemoryFile mf = new MemoryFile();
		con= ExtDb4o.openMemoryFile(mf);
	}
	
	public void completed(){
		con.close();
	}

	public ObjectContainer openContainer() {
		return con;
	}
	
	public void close(ObjectContainer container) {
		// don't close
	}
	
	protected void closeAllButMemoryFile(ObjectContainer container){
		
	}
	
	
}
