/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

public class SetDeactivated {
	
	String foo;
	
	public SetDeactivated(){
	}
	
	public SetDeactivated(String foo){
		this.foo = foo;
	}
	
	public void store(){
		Test.deleteAllInstances(this);
		Test.store(new SetDeactivated("hi"));
		Test.commit();
	}
	
	public void test(){
		SetDeactivated sd = (SetDeactivated)Test.getOne(this);
		Test.objectContainer().deactivate(sd, 1);
		Test.store(sd);
		Test.objectContainer().purge(sd);
		sd = (SetDeactivated)Test.getOne(this);
		Test.objectContainer().activate(sd, 1);
		Test.ensure(sd.foo.equals("hi"));
	}
}
