/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import com.db4o.*;

public class TypedDerivedArray {
	
	Atom[] atoms;
	
	public void store(){
		Test.deleteAllInstances(this);
		TypedDerivedArray tda = new TypedDerivedArray();
		Molecule[] mols = new Molecule[1];
		mols[0] = new Molecule("TypedDerivedArray"); 
		tda.atoms = mols;
		Test.store(tda);
	}
	
	public void test(){
		Test.forEach(new TypedDerivedArray(), new Visitor4() {
            public void visit(Object obj) {
            	TypedDerivedArray tda = (TypedDerivedArray)obj;
            	Test.ensure(tda.atoms instanceof Molecule[]);
            }
        });
	}
}
