/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o;

import java.lang.reflect.*;
import com.db4o.reflect.*;

/**
 * Reflection implementation for Array to map to JDK reflection.
 */
class CArray implements IArray {

    public Object get(Object onArray, int index) {
        return Array.get(onArray, index);
    }

    public int getLength(Object array) {
        return Array.getLength(array);
    }

    public Object newInstance(Class componentType, int length) {
        return Array.newInstance(componentType, length);
    }

    public Object newInstance(Class componentType, int[] dimensions) {
        return Array.newInstance(componentType, dimensions);
    }

    public void set(Object onArray, int index, Object element) {
        Array.set(onArray, index, element);
    }
}
