/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o;

import com.db4o.types.*;

/**
 * base class for database aware collections
 */
abstract class P1Collection extends P1Object implements Db4oCollection, Db4oTypeImpl{
    
    transient int i_activationDepth = -1;
    transient boolean i_deleteRemoved;
    
    public void activationDepth(int a_depth){
        i_activationDepth = a_depth;
    }
    
    public void deleteRemoved(boolean a_flag){
        i_deleteRemoved = a_flag;
    }
}
