/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import com.db4o.*;
import com.db4o.ext.*;

public class Semaphores extends AllTestsConfAll{
	
	public void test(){
		
		ExtObjectContainer eoc = Test.objectContainer();
		eoc.setSemaphore("SEM", 0);
		
		Test.ensure(eoc.setSemaphore("SEM", 0) == true);
		
		if(Test.clientServer){
			ExtObjectContainer client2 = null;
			try {
				client2 =
					Db4o.openClient(SERVER_HOSTNAME, SERVER_PORT, DB4O_USER, DB4O_PASSWORD).ext();
				Test.ensure(client2.setSemaphore("SEM", 0) == false);
				eoc.releaseSemaphore("SEM");
				Test.ensure(client2.setSemaphore("SEM", 0) == true);
			} catch (Exception e) {
				e.printStackTrace();
				return ;
			}
		}else{
			eoc.releaseSemaphore("SEM");
		}
	}

}
