/* Copyright (C) 2004   db4objects Inc.   http://www.db4o.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA  02111-1307, USA. */

package com.db4o.test;

import com.db4o.*;
import com.db4o.query.*;

public class SodaNoDuplicates {
	
	Atom atom;
	
	public void store(){
		Test.deleteAllInstances(this);
		Test.deleteAllInstances(new Atom());
		Atom m1 = new Atom("One");
		Atom m2 = new Atom("Two");
		SodaNoDuplicates  snd = new SodaNoDuplicates();
		snd.atom = m1;
		Test.store(snd);
		snd = new SodaNoDuplicates();
		snd.atom = m1;
		Test.store(snd);
		snd = new SodaNoDuplicates();
		snd.atom = m2;
		Test.store(snd);
		snd = new SodaNoDuplicates();
		snd.atom = m2;
		Test.store(snd);
	}
	
	public void test(){
		Query q = Test.query();
		q.constrain(SodaNoDuplicates.class);
		Query qAtoms = q.descend("atom");
		ObjectSet set = qAtoms.execute();
		Test.ensure(set.size() == 2);
	}
	

}
